// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// ISatellites wrapper class

class ISatellites : public COleDispatchDriver
{
public:
	ISatellites() {}		// Calls COleDispatchDriver default constructor
	ISatellites(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ISatellites(const ISatellites& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetVersionString();
	CString GetKeplerPath();
	void SetKeplerPath(LPCTSTR lpszNewValue);
	long GetSatCount();
	CString GetSatNames();
	double GetObsLat();
	void SetObsLat(double newValue);
	double GetObsLon();
	void SetObsLon(double newValue);
	double GetObsHeight();
	void SetObsHeight(double newValue);
	CString PassListForPeriod(LPCTSTR Name, double UTCdate, long MinSeconds, long NumDays, double MinElevDegrees);
	BOOL IsVisible(LPCTSTR Name, double JulianTime, double ThresholdDeg, BOOL* Southbound, double* Azumuth, double* Elevation, double* Longitude, double* Latitude, double* Range, double* RangeRate, double* Altitude, double* Phase);
	double DateTimeToJT(double DateTime);
	int GetRevNumber();
	double GetOrbitPhase();
	double FindAOS(CString Name, double PredictTime);
	double FindLOS(CString Name, double PredictTime);
	double GetMeanAnomaly();
	void SatState(double* X, double* Y, double* Z, double* Xdot, double* Ydot, double* Zdot);
	double Period(CString Name);
	void KeplerData(LPCTSTR Name,double* JulianEpoch, double* Inclination, double* RAAN, double* Eccentricity, double* ArgOfPerigee, double* DecayRate, double* Period, double* MeanAnomaly);
	CString MakePassDetails(CString PassDescription, int StepSeconds);
};
